For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList tools
      • POSTCreate tool
      • GETGet tool schemas
      • GETList built-in tools
      • GETList compatible built-in tools
      • GETGet built-in tool schema
      • GETGet tool details
      • PUTUpdate tool
      • DELDelete tool
Dashboard
LogoLogo
Runtype APITools

List compatible built-in tools

GET
/v1/tools/builtin/compatible
GET
/v1/tools/builtin/compatible
$curl -G https://api.runtype.com/v1/tools/builtin/compatible \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d model=gpt-4o-mini \
> -d provider=openai
1{
2 "data": [
3 {
4 "id": "tool-translate-001",
5 "name": "Universal Translator",
6 "description": "A built-in tool that translates text between multiple languages in real-time.",
7 "category": "translation",
8 "providers": [
9 "openai",
10 "anthropic"
11 ],
12 "parametersSchema": {
13 "sourceLanguage": {
14 "type": "string",
15 "description": "The language code of the input text, e.g., 'en' for English."
16 },
17 "targetLanguage": {
18 "type": "string",
19 "description": "The language code to translate the text into, e.g., 'es' for Spanish."
20 }
21 },
22 "defaultConfig": {
23 "sourceLanguage": "en",
24 "targetLanguage": "es"
25 },
26 "modelCompatibility": [
27 {
28 "provider": "openai",
29 "models": [
30 "gpt-4o-mini",
31 "gpt-4o",
32 "gpt-3.5-turbo"
33 ]
34 },
35 {
36 "provider": "anthropic",
37 "models": [
38 "claude-v1",
39 "claude-instant-v1"
40 ]
41 }
42 ],
43 "documentationUrl": "https://docs.runtype.com/tools/universal-translator"
44 }
45 ],
46 "total": 1
47}

List built-in tools compatible with a specific model and provider.

Was this page helpful?
Previous

Get built-in tool schema

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Query parameters

modelstringRequired
providerstringRequired

Response

Compatible built-in tools

datalist of objects
totalinteger

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error